{------------------------------------------------------------------------------
                        C O N F N I V . P A S

Cette unit contient les routines de la feuille de modification des proprits
du niveau. Elle permet de spcifier le titre, le mot de passe et la dure de jeu.
-------------------------------------------------------------------------------}
unit ConfNiv;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TfrmConfNiv = class(TForm)
    edtPasse: TEdit;
    lblPasse: TLabel;
    edtTpsNiv: TEdit;
    Label1: TLabel;
    btnOk: TButton;
    btnAnnuler: TButton;
    edtTitre: TEdit;
    lblTitre: TLabel;
    procedure edtTpsNivKeyPress(Sender: TObject; var Key: Char);
    procedure edtPasseKeyPress(Sender: TObject; var Key: Char);
    procedure btnOkClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  frmConfNiv: TfrmConfNiv;

implementation

uses Editeur;

{$R *.DFM}

procedure TfrmConfNiv.edtTpsNivKeyPress(Sender: TObject; var Key: Char);
begin
  if not (key in [#8, '0'..'9']) then begin
    Key := chr(0);
    Beep;
  end
  else begin
    if key <> #8 then begin
      if (strtoint(edtTpsNiv.text+key)>255)  and (edtTpsNiv.sellength = 0) then begin
        beep;
        key := chr(0);
      end;
    end
    else
      edtTpsNiv.text := '0';
  end;
end;

procedure TfrmConfNiv.edtPasseKeyPress(Sender: TObject; var Key: Char);
begin
  if not (key in [#8, '0'..'9', 'A'..'Z', 'a'..'z']) then begin
    beep;
    key := chr(0);
  end;
end;

procedure TfrmConfNiv.btnOkClick(Sender: TObject);
begin
  if edtTpsNiv.text = '' then
    edtTpsNiv.text := '0';
  frmEditeur.temps := strtoint(edtTpsNiv.Text);
  frmediteur.passe := edtPasse.text;
  frmEditeur.titre := edtTitre.text;
end;

procedure TfrmConfNiv.FormActivate(Sender: TObject);
begin
  edtTpsNiv.text := inttostr(frmEditeur.temps);
  edtPasse.text := frmEditeur.passe;
  edtTitre.text := frmEditeur.titre;
end;

end.
