{------------------------------------------------------------------------------
                        N O U V P A R T . P A S

Cette unit contient les routines de la feuille utilise pour choisr le niveau o
commencer la partie. Elle gre donc l'entre du mot de passe.
-------------------------------------------------------------------------------}
unit Nouvpart;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TfrmNouvPart = class(TForm)
    lsbTitres: TListBox;
    btnOk: TButton;
    btnAnnul: TButton;
    lblDem: TLabel;
    procedure btnOkClick(Sender: TObject);
    procedure btnAnnulClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure lsbTitresDblClick(Sender: TObject);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  frmNouvPart: TfrmNouvPart;

implementation

uses Divers;
{$R *.DFM}

var Passe : array [1..50] of string;

procedure TfrmNouvPart.btnOkClick(Sender: TObject);
var i          : integer;
    motdepasse : string;
begin
  i := 0;
  while (i < lsbTitres.Items.Count-1) and not lsbTitres.selected[i] do
    inc(i);

  if (i <= lsbTitres.items.count - 1) then begin
    if i <> 0 then begin
      if inputquery('Mot de passe', 'Entrez le mot de passe pour ce niveau', motdepasse) then begin
        if ANSIUpperCase(motdepasse) = ANSIUpperCase(passe[i+1]) then
          modalresult := i+1
        else
          application.messagebox('Ce n''est pas le bon mot de passe', 'Erreur de mot de passe',MB_ICONERROR+MB_OK);
      end;
    end
    else
      ModalResult := i+1;
  end;
end;

procedure TfrmNouvPart.btnAnnulClick(Sender: TObject);
begin
  modalresult := -1;
end;

procedure TfrmNouvPart.FormShow(Sender: TObject);
var fic    : file of byte;
    i,
    j,
    lect,
    nbniv  : byte;
    adr    : word;
    Titre  : string[20];

begin
    j := lsbTitres.items.count-1;
    for i:=0 to j do
      lsbTitres.items.delete(0);

    AssignFile(fic, RepAct+'\niveaux.dat');
    reset(fic);
    read(fic, nbniv);

    for i:=1 to nbniv do begin
      seek(fic, i*2-1);
      read(fic, lect);
      adr := lect * 256;
      read(fic, lect);
      adr := adr + lect;
      seek(fic, adr);
      passe[i] := '';
      for j := 0 to 7 do begin
        read(fic, lect);
        if lect <> 0 then
          Passe[i] := passe[i] + chr(lect);
      end;


      Titre := '';
      for j := 0 to 19 do begin
        read(fic, lect);
        if lect <> 0 then
          Titre := Titre + chr(lect);
      end;
      lsbTitres.Items.Add(Titre);

    end;

    closefile(fic);
end;

procedure TfrmNouvPart.lsbTitresDblClick(Sender: TObject);
begin
  btnOk.Onclick(Sender);
end;

end.
