{------------------------------------------------------------------------------
                     C H O I X L A S E R . P A S

Cette unit contient les routines de la feuille de modification des proprits
d'un laser. Elle permet de spcifier l'angle et la dure d'mission.
-------------------------------------------------------------------------------}
unit choixlaser;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Buttons, StdCtrls;

type
  TfrmChoixLaser = class(TForm)
    btnOk: TButton;
    btnAnnuler: TButton;
    btnLaser1: TSpeedButton;
    btnLaser2: TSpeedButton;
    btnLaser3: TSpeedButton;
    btnLaser4: TSpeedButton;
    edtTpsLaser: TEdit;
    Label1: TLabel;
    procedure FormCreate(Sender: TObject);
    procedure btnOkClick(Sender: TObject);
    procedure btnAnnulerClick(Sender: TObject);
    procedure edtTpsLaserKeyPress(Sender: TObject; var Key: Char);
  private
    { Dclarations prives }
  public
    { Dclarations publiques }
  end;

var
  frmChoixLaser: TfrmChoixLaser;

implementation

{$R *.DFM}

procedure TfrmChoixLaser.FormCreate(Sender: TObject);
begin
  btnLaser1.glyph.transparentcolor := clblack;
  btnLaser2.glyph.transparentcolor := clblack;
end;

procedure TfrmChoixLaser.btnOkClick(Sender: TObject);
begin
  if btnLaser1.down then
    modalresult := 1;
  if btnLaser2.down then
    modalresult := 2;
  if btnLaser3.down then
    modalresult := 3;
  if btnLaser4.down then
    modalresult := 4;
end;

procedure TfrmChoixLaser.btnAnnulerClick(Sender: TObject);
begin
  modalresult := -1;
end;

procedure TfrmChoixLaser.edtTpsLaserKeyPress(Sender: TObject;
  var Key: Char);
begin
  if (ord(Key)<48) or (ord(Key)>59) then begin
    if (ord(key)<>8) then begin
      Key := chr(0);
      Beep;
    end;
  end
  else begin
    if (strtoint(edtTpsLaser.text+key)>255)  and (edtTpsLaser.sellength = 0) then begin
      beep;
      key := chr(0);
    end;
  end;
end;

end.
